### Method

# Template Scope set_resolver

#### Declaration

    void
    tmpl_scope_set_resolver (
      TmplScope* self,
      TmplScopeResolver resolver,
      gpointer user_data,
      GDestroyNotify destroy
    )

#### Description

No description available.

#### Parameters

`resolver`

  Type: `TmplScopeResolver`

  No description available.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`destroy`

  Type: `GDestroyNotify`

  No description available.